Skip to main content
POST
Add a new donor

Authorizations

X-HYS-API-Key
string
header
required

Gratona API key sent with the compatibility header X-HYS-API-Key.

Path Parameters

hysform_id
integer
required

The id of the donor form

Body

application/json

Donor data

client_id
string
dn_donor_name
string
Example:

"donor name"

username
string
email
string
notify_donor
integer

Email template ID

Example:

337

hysform_id
integer
Example:

1

Response

Successful operation

message
string
Example:

"The user account has been created"

status
string
notification_sent
boolean | null

True when the selected account email was queued, false when it was requested but not queued, and null when no email was requested.